
x5ReadIsLoaded = 0;


function x5ReadShow(elem){
    elem = elem ? elem : document.getElementById('read-more');
    elem.style.display = 'block';
}

function x5ReadAddContent(content, elem){
    elem = elem ? elem : document.getElementById('news_content');
    elem.innerHTML = content;
}

function x5ReadHide(elem){
    elem = elem ? elem : document.getElementById('loading');
    elem.style.display = 'none';
}

function x5ReadDetailStatistic(options){
    var elem = document.querySelector('#imgStatistic');
    elem && (elem.src = elem.getAttribute('src1'));
}

function x5ReadChangeFontSize(px){
    try{
        var arrElems = document.querySelectorAll('p');
        var i = 0;
        for(; i < arrElems.length; ++i)
            arrElems[i].style.cssText = 'font-size:' + px + 'px !important;';

        arrElems = document.querySelectorAll('strong');
        i = 0;
        for(; i < arrElems.length; ++i)
            arrElems[i].style.cssText = 'font-size:' + (px + 0) + 'px !important;';

        document.querySelector('.article').style.cssText = 'display:block !important;';

        if(document.querySelector('.blog-content') != undefined){
            arrElems = document.querySelector('.blog-content').querySelectorAll('p');
            i = 0;
            for(; i < arrElems.length; ++i)
                arrElems[i].style.cssText = 'font-size:' + (px - 2) + 'px !important;line-height:1.6em !important;';
        }

        //arrElems = document.querySelectorAll('.news-img');
        //i = 0;
        //for(; i < arrElems.length; ++i){
        //    arrElems[i].className = 'news-pic';
        //}
    }
    catch(ex){x5ReadXAlert('x5ReadChangeFontSize ERROR:' + ex.message);}
}

function x5ReadXAlert(s){
    if(location.href.indexOf('debug') > 0){
        alert(s);
    }
}
function x5ReadOnload(paras){
    if(typeof(paras) === 'undefined'){
        alert('启动参数为空');
        return;
    }
    if(x5ReadIsLoaded != 0){
        return;
    }
    x5ReadIsLoaded = 1;

    document.createElement('img').src = paras.src;
    var arrImg = document.querySelectorAll(paras.img);

    var i = 0;
    
    function getQueryData(url) {
        var indexOfMark = url.indexOf('?');
        var queryString = url.substr(indexOfMark + 1);
        var pairs = queryString.split('&');

        var data = {};
        for (var i = 0, j = pairs.length; i < j; i++) {
            var indexOfEqual = pairs[i].indexOf('=');
            var key = pairs[i].substr(0, indexOfEqual);
            var value = pairs[i].substr(indexOfEqual + 1);
            data[key] = value;
        }

        return data;
    }

    function html2dom(html) {
        var temp = document.createElement('div');
        temp.innerHTML = html;
        return temp.firstChild;
    }

    function addMaskEvent(mask, gifUrl) {
        mask.addEventListener('click', function(e) {
            var play = mask.querySelector('.pic-play');
            var load = mask.querySelector('.pic-load');

            play.style.display = 'none';
            load.style.display = '';

            var temp = new Image();
            temp.src = gifUrl;
            temp.onload = function() {
                mask.style.display = 'none';
                mask.previousElementSibling.src = gifUrl;
                //mask.previousElementSibling.className = 'news-pic';
            };
        });
    }

    var imgMaskHtml = '<div class="pic-mask">\
        <div class="pic-load" style="display:none;"><div class="loading"></div><span class="tip">正在加载动画</span></div>\
        <div class="pic-play"><span>{filesize}</span></div>\
    </div>';
    
    var ensureDisplay = function(img) {
        var id = setInterval(function() {

            if (parseInt(getComputedStyle(img)['opacity']) == 0) {
                img.style.opacity = 1;
                //clearInterval(id);
            }
        }, 1000);
    };

    for (var i = 0; i < arrImg.length; ++i) {
        var img = arrImg[i];
        var src = img.src.replace('&amp;', '&');
        var query = getQueryData(src);

        img.onload = function() {
            this.style.opacity = 1;
            this.onload = null;
            delete this.onload;
        };

        ensureDisplay(img);

        if (query.rspimgflag && ((query.rspimgflag & 2) != 0)) {
            if (query.imgflag && ((query.imgflag & 2) != 0)) {
                continue;
            }
            
            var maskNode = html2dom(
                imgMaskHtml.replace(/{filesize}/, query.filesize ? parseInt(query.filesize / 1024) + 'k' : '')
            );
            img.parentNode.appendChild(maskNode);

            var gifUrl = '';
            if (!query.imgflag) {
                gifUrl = src + '&imgflag=2';
            } else {
                gifUrl = src.replace(/imgflag=([^&=]+)/, 'imgflag=' + ($1 | 2));
            }
            addMaskEvent(maskNode, gifUrl);
        } else {
            img.addEventListener('click', function(e) {
                reader.openNativePicViewer(this.src);
            });
        }
        

    }
    
    
    x5ReadXAlert('x5Onload succ');
}

x5ReadXAlert('javascript api_head load succ');